Skip to main content
PATCH
Rename a person

Authorizations

__Secure-better-auth.session_token
string
cookie
required

The session cookie set when you sign in to the web app.

Path Parameters

personId
string
required
Maximum string length: 64

Body

application/json
displayName
string
required
Maximum string length: 240
nicknames
string[]
required
Maximum array length: 10
Maximum string length: 120
supersedes
string
required
Maximum string length: 64
operationId
string<uuid>
required
at
string<date-time>
required

Response

The name was superseded.